## php-di 7.1.1

=== tests/PerformanceTest/Makefile ===
test-get: prepare
	blackfire run --samples=100 php get.php
test-get-cache: prepare
	blackfire run --samples=100 php get-cache.php
test-get-object: prepare
	blackfire run --samples=100 php get-object.php
test-factory: prepare
	blackfire run --samples=100 php factory.php
test-call: prepare
	blackfire run --samples=100 php call.php

prepare: clean vendor validate warmup
	@composer install --classmap-authoritative

warmup:
	@set -e
	@php call.php
	@php factory.php
	@php get.php
	@php get-cache.php
	@php get-object.php

clean:
	@rm -f tmp/*

vendor: composer.json
	composer update --classmap-authoritative

validate:
	@set -e
	@php -r "if (extension_loaded('xdebug')) { echo 'XDebug must not be loaded' . PHP_EOL; exit(1); }"

## php-di 7.0.6

=== debian/changelog ===
php-di (7.0.6-1) unstable; urgency=medium

  * New upstream version 7.0.6
  * Require php-friendsofphp-proxy-manager-lts for DEP-8 tests
  * Refresh the test patch
  * Forward the phpunit 10 patch upstream

 -- William Desportes <williamdes@wdes.fr>  Sun, 17 Dec 2023 21:30:55 +0100

php-di (7.0.5-1) unstable; urgency=medium

  * Initial release (Closes: #1051869).

 -- William Desportes <williamdes@wdes.fr>  Sat, 07 Oct 2023 12:53:08 +0200

=== debian/control ===
Source: php-di
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: William Desportes <williamdes@wdes.fr>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-phpcomposer,
               php-di-invoker,
               php-friendsofphp-proxy-manager-lts,
               php-laravel-serializable-closure,
               php-psr-container,
               phpab,
               phpunit,
               pkg-php-tools (>= 1.41~)
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/PHP-DI/PHP-DI
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-di
Vcs-Git: https://salsa.debian.org/php-team/pear/php-di.git -b debian/unstable

Package: php-di
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: Dependency injection container meant to be practical and framework-agnostic
 This library is a dependency injection container
 meant to be practical, powerful, and framework-agnostic.
 .
 It integrates easily in your application or in frameworks.
 And provides the classic API of a container as well
 as advanced features useful to build or extend a framework.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	phpabtpl --basedir src composer.json > debian/autoload.php.tpl
	phpab --output src/autoload.php \
		--template debian/autoload.php.tpl \
		src/

	# keep in sync with debian/tests/phpunit
	phpabtpl --require-file ../src/autoload.php 2>/dev/null > debian/autoload.tests.php.tpl
	# This is needed because there is non test classes in tests/
	phpab --output tests/autoload.php \
		  --exclude '*/PerformanceTest/*' \
		  --template debian/autoload.tests.php.tpl \
		tests/

override_dh_auto_test:
	# keep in sync with debian/tests/phpunit
	phpunit --no-coverage --bootstrap tests/autoload.php

=== debian/watch ===
version=4
options="mode=git, gitmode=full, gitexport=all, pgpmode=none" \
   https://github.com/PHP-DI/PHP-DI/ \
   refs/tags/([\d\.]+)

## php-di 7.0.7

=== debian/changelog ===
php-di (7.0.7-1) unstable; urgency=medium

  * Remove "gitmode=full" from d/watch
  * Update Standards-Version to 4.7.0
  * New upstream version 7.0.7
  * Drop forwarded PHPUnit patch

 -- William Desportes <williamdes@wdes.fr>  Sat, 27 Jul 2024 13:57:25 +0200

php-di (7.0.6-2) unstable; urgency=medium

  * Team upload
  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Thu, 07 Mar 2024 18:30:22 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 	dh $@
 
 override_dh_auto_build:
-	phpabtpl --basedir src composer.json > debian/autoload.php.tpl
 	phpab --output src/autoload.php \
 		--template debian/autoload.php.tpl \
 		src/

## php-di 7.0.8

=== debian/changelog ===
php-di (7.0.8-1) unstable; urgency=medium

  * New upstream version 7.0.8 (Closes: #1082444)
  * Refresh patches & patch a failing test on PHP 8.4
  * Fix autoload generation rules for tests

 -- William Desportes <williamdes@wdes.fr>  Sun, 02 Feb 2025 17:59:17 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                phpunit,
                pkg-php-tools (>= 1.41~)
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/PHP-DI/PHP-DI
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-di
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-di.git -b debian/unstable

## php-di 7.0.9

=== debian/changelog ===
php-di (7.0.9-1) unstable; urgency=medium

  * New upstream version 7.0.9
  * Bump Standards-Version to 4.7.2
  * Relax pkg-php-tools restrictions
  * Refresh patches & add phpunit 11 patch

 -- William Desportes <williamdes@wdes.fr>  Fri, 11 Apr 2025 17:48:04 +0200

## php-di 7.0.10

=== debian/changelog ===
php-di (7.0.10-1) unstable; urgency=medium

  * New upstream version 7.0.10
  * Refresh patches

 -- William Desportes <williamdes@wdes.fr>  Tue, 22 Apr 2025 11:15:42 +0200

=== debian/tests/control ===
Tests: phpunit
Depends: php-friendsofphp-proxy-manager-lts,
         phpab,
         phpunit,
         pkg-php-tools (>= 1.41~),
         @

## php-di 7.1.1

=== debian/changelog ===
php-di (7.1.1-2) unstable; urgency=medium

  [ William Desportes ]
  * Remove now default Priority: optional
  * Remove now default Rules-Requires-Root: no
  * Use phpunit --do-not-cache-result --fail-on-empty-test-suite
  * Bump Standards-Version to 4.7.3
  * Bump copyright years
  * Migrate d/watch to version 5

  [ Thomas Uhle ]
  * Provide an override for pkg-php-tools (Closes: #1128526)

 -- William Desportes <williamdes@wdes.fr>  Tue, 03 Mar 2026 12:09:27 +0100

php-di (7.1.1-1) unstable; urgency=medium

  * New upstream version 7.1.1
  * Refresh tests patch

 -- William Desportes <williamdes@wdes.fr>  Mon, 18 Aug 2025 18:00:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: php-di
 Section: php
-Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: William Desportes <williamdes@wdes.fr>
 Build-Depends: debhelper-compat (= 13),
@@ -11,9 +10,8 @@
                php-psr-container,
                phpab,
                phpunit,
-               pkg-php-tools (>= 1.41~)
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+               pkg-php-tools
+Standards-Version: 4.7.3
 Homepage: https://github.com/PHP-DI/PHP-DI
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-di
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-di.git -b debian/unstable

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,13 @@
 	phpabtpl --require-file ../src/autoload.php 2>/dev/null > debian/autoload.tests.php.tpl
 	# This is needed because there is non test classes in tests/
 	phpab --output tests/autoload.php \
-		  --exclude '*/PerformanceTest/*' \
+		  --exclude 'tests/PerformanceTest/*' \
+		  --exclude 'tests/*/GetFixture.php' \
+		  --exclude 'tests/*/class.php' \
+		  --exclude 'tests/*/class-php*.php' \
 		  --template debian/autoload.tests.php.tpl \
 		tests/
 
 override_dh_auto_test:
 	# keep in sync with debian/tests/phpunit
-	phpunit --no-coverage --bootstrap tests/autoload.php
+	phpunit --no-coverage --do-not-cache-result --fail-on-empty-test-suite --bootstrap tests/autoload.php

=== debian/watch ===
Version: 5

Source: https://github.com/PHP-DI/PHP-DI.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Git-Export: all
Mode: git
Pgp-Mode: none
